Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMemoryLimitImageDataStreamer Class Reference

`#include <vtkMemoryLimitImageDataStreamer.h>`

Inheritance diagram for vtkMemoryLimitImageDataStreamer:

[legend]
Collaboration diagram for vtkMemoryLimitImageDataStreamer:

[legend]
List of all members.

## Public Types
typedef vtkImageDataStreamer | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | UpdateData (vtkDataObject *out)
virtual void | SetMemoryLimit (unsigned long)
virtual unsigned long | GetMemoryLimit ()
## Static Public Methods
vtkMemoryLimitImageDataStreamer * | New ()
int | IsTypeOf (const char *type)
vtkMemoryLimitImageDataStreamer * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMemoryLimitImageDataStreamer ()
| ~vtkMemoryLimitImageDataStreamer ()
## Protected Attributes
unsigned long | MemoryLimit

## Member Typedef Documentation

typedef vtkImageDataStreamer vtkMemoryLimitImageDataStreamer::Superclass

| Reimplemented from vtkImageDataStreamer. Definition at line 48 of file vtkMemoryLimitImageDataStreamer.h.

## Constructor & Destructor Documentation

vtkMemoryLimitImageDataStreamer::vtkMemoryLimitImageDataStreamer | ( |  | ) | `[protected]`

vtkMemoryLimitImageDataStreamer::~vtkMemoryLimitImageDataStreamer | ( |  | ) | `[inline, protected]`

| Definition at line 62 of file vtkMemoryLimitImageDataStreamer.h.

## Member Function Documentation

vtkMemoryLimitImageDataStreamer* vtkMemoryLimitImageDataStreamer::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageDataStreamer.

virtual const char* vtkMemoryLimitImageDataStreamer::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageDataStreamer.

int vtkMemoryLimitImageDataStreamer::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageDataStreamer.

virtual int vtkMemoryLimitImageDataStreamer::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageDataStreamer.

vtkMemoryLimitImageDataStreamer* vtkMemoryLimitImageDataStreamer::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageDataStreamer.

void vtkMemoryLimitImageDataStreamer::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageDataStreamer.

virtual void vtkMemoryLimitImageDataStreamer::SetMemoryLimit | ( | unsigned | long | ) | `[virtual]`

| Set / Get the memory limit in kilobytes.

virtual unsigned long vtkMemoryLimitImageDataStreamer::GetMemoryLimit | ( |  | ) | `[virtual]`

| Set / Get the memory limit in kilobytes.

void vtkMemoryLimitImageDataStreamer::UpdateData | ( | vtkDataObject * | out | ) | `[virtual]`

| Need to override since this is where streaming will be done Reimplemented from vtkImageDataStreamer.

## Member Data Documentation

unsigned long vtkMemoryLimitImageDataStreamer::MemoryLimit`[protected]`

| Definition at line 64 of file vtkMemoryLimitImageDataStreamer.h.

The documentation for this class was generated from the following file:

- Parallel/vtkMemoryLimitImageDataStreamer.h